com.microfocus.awm.meta.modelextension

## Class ToolTypeExtension

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes
    - - com.microfocus.awm.meta.modelextension.ToolTypePart
      - - com.microfocus.awm.meta.modelextension.ToolTypeExtension

- All Implemented Interfaces:
    IModelExtensionWithAttributes

      public class ToolTypeExtension
      extends ToolTypePart

  Definition of a specific tool type created from an extension of the AWM model extension point.

  Not intended to be sub-classed by clients.

  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolTypeExtension(java.lang.String pID, java.lang.String pLabel, java.lang.String pCategory, org.eclipse.core.runtime.IConfigurationElement pConfigurationElement, FunctionPackageExtension pPackage, java.net.URL pIcon)` Basic constructor.
    `ToolTypeExtension(java.lang.String pID, java.lang.String pLabel, java.lang.String pCategory, java.lang.Object pToolExecutor, FunctionPackageExtension pPackage, java.net.URL pIcon)` Deprecated. Requires a tool executor instance, which is not ideal, because a tool executor must be initialized right before it is actually executed.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createToolExecutor()` Creates a new tool executor instance.
    `java.lang.String` | `getCategory()` Gets the tool type category.
    `FunctionPackageExtension` | `getFunctionPackage()` Gets the function package of the tool type.
    `java.net.URL` | `getIcon()` Gets the icon URL for the tool descriptor (can be `null`).
    `java.util.List<ToolTypeInputParameter>` | `getInputParameters()` Gets the the input parameters of this tool type.
    `java.util.List<ToolTypeOutputParameter>` | `getOutputParameters()` Gets the the output parameters of this tool type.
    `EToolDescriptorType` | `getToolDescriptorType()` Gets the toolDescriptorType.
    `java.lang.Object` | `getToolExecutor()` Deprecated. May not return a tool executor anymore, since tool executors are now instantiated right before tool execution.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes

      `getAllAttributes, getAllSimpleAttribues, getAttributes, getComplexAttributeReferences, getComplexAttributes, getReferenceAttributes`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolTypeExtension

          @Deprecated
          public ToolTypeExtension(java.lang.String pID,
                                                java.lang.String pLabel,
                                                java.lang.String pCategory,
                                                java.lang.Object pToolExecutor,
                                                FunctionPackageExtension pPackage,
                                                java.net.URL pIcon)

      Deprecated. Requires a tool executor instance, which is not ideal, because a tool executor must be initialized right before it is actually executed.
      Basic constructor.
      Parameters:
        `pID` - the tool type ID
        `pLabel` - the tool type label
        `pCategory` - the tool type category (can be `null`)
        `pToolExecutor` - the tool executor
        `pPackage` - the package of the tool type
        `pIcon` - the URL to the icon (can be `null`)

    - #### ToolTypeExtension

          public ToolTypeExtension(java.lang.String pID,
                                   java.lang.String pLabel,
                                   java.lang.String pCategory,
                                   org.eclipse.core.runtime.IConfigurationElement pConfigurationElement,
                                   FunctionPackageExtension pPackage,
                                   java.net.URL pIcon)

      Basic constructor.
      Parameters:
        `pID` - the tool type ID
        `pLabel` - the tool type label
        `pCategory` - the tool type category (can be `null`)
        `pConfigurationElement` - the tool type configuration element
        `pPackage` - the package of the tool type
        `pIcon` - the URL to the icon (can be `null`)

  - ### Method Detail

    - #### getToolExecutor

          @Deprecated
          public java.lang.Object getToolExecutor()

      Deprecated. May not return a tool executor anymore, since tool executors are now instantiated right before tool execution.
      Gets the the tool executor.
      Returns:
        the tool executor or `null`

    - #### createToolExecutor

          public java.lang.Object createToolExecutor()
                                              throws org.eclipse.core.runtime.CoreException

      Creates a new tool executor instance.
      Returns:
        the tool executor
      Throws:
        `org.eclipse.core.runtime.CoreException` - if creating the executable extension fails

    - #### getInputParameters

          public java.util.List<ToolTypeInputParameter> getInputParameters()

      Gets the the input parameters of this tool type.
      Returns:
        the inputParameters (can be empty)

    - #### getOutputParameters

          public java.util.List<ToolTypeOutputParameter> getOutputParameters()

      Gets the the output parameters of this tool type.
      Returns:
        the outputParameters (can be empty)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ModelExtensionObject`

    - #### getToolDescriptorType

          public EToolDescriptorType getToolDescriptorType()

      Gets the toolDescriptorType.
      Returns:
        the toolDescriptorType

    - #### getIcon

          public java.net.URL getIcon()

      Gets the icon URL for the tool descriptor (can be `null`).
      Returns:
        the icon URL or `null`

    - #### getFunctionPackage

          public FunctionPackageExtension getFunctionPackage()

      Gets the function package of the tool type.
      Returns:
        the function package

    - #### getCategory

          public java.lang.String getCategory()

      Gets the tool type category.
      Returns:
        the category (can be `null`)

Copyright © 2015 Micro Focus GmbH. All rights reserved.